package examenes.examen20241025;

import static examenes.examen20241025.utils.Utils.calcularFactorial;
import static examenes.examen20241025.utils.Utils.solicitarIntScanner;

public class Ejercicio_c {
    public static void main(String[] args) {
        //Solicitamos por Scanner un int
        int numDado = solicitarIntScanner("Introduzca un número para calcular el factorial más cercano: ");
        int factorialJustoDebajo = 0;

        //Creamos un bucle para buscar el factorial
        for (int i = 0; true; i++) {
            //En el caso de que sea mayor, guardamos el anterior y rompemos el bucle infinito
            if (calcularFactorial(i) > numDado) {
                factorialJustoDebajo = i - 1;
                break;
            }
        }

        //Mostramos el resultado
        System.out.println("El factorial más cercano sin pasarse es: " + factorialJustoDebajo + " que es " + calcularFactorial(factorialJustoDebajo));
    }
}